<?php
/**
* @version $Id: mod_scorpion_morejs.php - 04-11-2023
* @copyright   Copyright (C) Scorpion Computers and Software, Inc. All rights reserved.
* @license     GNU General Public License version 2 or later; http://www.gnu.org/copyleft/gpl.html
* @email 	   info@ScorpionComputers.nl
*/
// no direct access
defined('_JEXEC') or die('Restricted access');

$doc = JFactory::getDocument();
$moreScript = $params->get( 'moreScript' );
$moreScriptWithTags = $params->get( 'moreScriptWithTags' );
$googleScript = $params->get( 'googleScript' );
$addScriptBlocked = $params->get( 'addScriptBlocked' );
$addScriptOnModule = $params->get( 'addScriptOnModule' );
$replaceCurly = $params->get( 'replaceCurly' );

// If the user has used curly brackets instead of hooks, replace these brackets for hooks. 
if($replaceCurly) {
	$moreScript = str_replace("{{", "<", $moreScript);
	$moreScript = str_replace("}}", ">", $moreScript);
}

// If the script should be on the module then place it there.
if(!empty($moreScript)) {

	// Adding Scorpion module information
	$scriptLink = "\r\n" ."<!-- BEGIN Scorpion MoreJS script -->" ."\r\n";
	// Enrich the correct code that needs to be implemented.
	if($moreScriptWithTags) {
		$scriptLink .= '<SCRIPT type="text/javascript">' ."\r\n";
		$scriptLink .= $moreScript;
		$scriptLink .= "\r\n";
		$scriptLink .= '</SCRIPT>' ."\r\n";
	} else {
		$scriptLink .= $moreScript;
	}
	$scriptLink .= "\r\n" ."<!-- END Scorpion MoreJS script -->" ."\r\n" ."\r\n";

	if($addScriptOnModule) {
		echo $scriptLink;
	} else {
		// Otherwise we are going to add it to the HEAD-section of our website.
		if($addScriptBlocked) {
			// Some components or module position block the addScriptDeclaration-function from the Joomla Framework
			// Therefor we can also add it as a tag.
			$doc->addCustomTag($scriptLink);
		} else {
			$doc->addScriptDeclaration( $scriptLink );
		}
	}
}

if(!empty($googleScript)) {
	// Always replace the curly brackets with hooks to overcome the Joomla editor safety fix
	$googleScript = str_replace("{{", "<", $googleScript);
	$googleScript = str_replace("}}", ">", $googleScript);

	// Adding Scorpion module information
	$scriptLinkGoogle =  "\r\n" ."<!-- BEGIN Scorpion MoreJS Google Specific script -->" ."\r\n";
	$scriptLinkGoogle .= $googleScript;
	$scriptLinkGoogle .= "<!-- END Scorpion MoreJS Google Specific script -->" ."\r\n" ."\r\n";

	$doc->addCustomTag( $scriptLinkGoogle );
}

?>
